
 LinHES - Feature # 1018: increase php.ini max_input_vars to support mythweb channel editing

Status: Closed Priority: Low
Author: thekingofspain Category: Packages: Core
Created: 10/29/2017 Assignee: brfransen
Updated: 12/28/2019 Due date:
Description: Please change the max_input_var value in the /etc/php/php.ini to 100000.  This is needed to support the 

mythweb setup channel editor ../mythweb/setup/tv that has one or more source lineups. 

https://lists.gt.net/mythtv/users/335809

History
10/30/2017 02:33 am - thekingofspain
actually the file that needs updating is /etc/php/conf.d/linhes.ini which is overwriting the value in /etc/php/php.ini

10/30/2017 01:14 pm - brfransen
- Assignee set to brfransen

- Category set to Packages: Core

Going from 3000 to 100000 seems excessive, and possibly irresponsible.

I have had 60-70 channels across 3 sources and max_input_vars 3000 has worked. I could be reading the code wrong but with max_input_vars at 3000 
it should be able to handle around 160 channels. How many channels do you have defined?

04/25/2018 12:45 pm - brfransen
- Status changed from New to Closed

commit:9420b77b

12/28/2019 06:45 am - thekingofspain
Sorry only took two years to notice your question.  About every two years I switch providers due to price; which I just did and had to search again for 
this setting.  So my channel guide is cable provider 1, cable provider 2, and then two OTA tuners that get different channels due the states of the 
tuners.  The cable providers seem to have a pattern of the 3 physical channels per station:  SD, HD, and HD repeat starting at 1000.

In total i have just over 1200 channels, my guess is each channel is using 20 inputs, and each submit is sending all channels.
